### Name: PackageSum2
### Title: Add Info from Installed Packages to PackageSummary
### Aliases: PackageSum2 PackageSum2.findFn PackageSum2.data.frame
###   PackageSum2.list
### Keywords: package

### ** Examples

##
## data.frame method
##
tstdf <- data.frame(Package=c('grid', 'base'), stringsAsFactors=FALSE)
tst2 <- PackageSum2(tstdf)

##
## list method
##
tstList <- list(PackageSummary=tstdf)
## Don't show: 
stopifnot(
## End Don't show
all.equal(tst2, PackageSum2(tstList))
## Don't show: 
)
## End Don't show

##
## findFn method
##
tst.findFn <- data.frame(Package=c('grid', 'base')[c(1,1,2)], Score=2:4,
                    Date=LETTERS[1:3], stringsAsFactors=FALSE)
attr(tst.findFn, 'PackageSummary') <- PackageSummary(tst.findFn)
class(tst.findFn) <- c('findFn', 'data.frame')
tst2. <- PackageSum2(tst.findFn)

## Don't show: 
stopifnot(
## End Don't show
all.equal(tst2[, 1:7], tst2.[names(tst2)][, 1:7])
## Don't show: 
)
## End Don't show




